<?php
/**
 * Copyright © 2016 Neoxero. All rights reserved.
 * See COPYING.txt for license details.
 */

// @codingStandardsIgnoreFile

/** @var \Magento\Customer\Block\Form\Login $block */
?>
<?php
/**
 * Customer login form template
 *
 * @see \Magento\Customer\Block\Form\Login
 * @var $block \Magento\Customer\Block\Form\Login
 */
?>
                        <?php
    $objectManager = \Magento\Framework\App\ObjectManager::getInstance();
$scopeConfig = $objectManager->create('Magento\Framework\App\Config\ScopeConfigInterface');
$configLogo = 'bareq/logo/store_logo';
$configLogoValue = $scopeConfig->getValue( $configLogo, \Magento\Store\Model\ScopeInterface::SCOPE_STORE);
?>


            <script type="text/javascript">
    require(['jquery', 'bootstraper'], function ($) {


    });
</script>
    <!-- Modal -->
            <!-- login-modal -->
            <div class="modal fade" id="login-modal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
              <div class="modal-dialog" role="document">
                <div class="modal-content">
                  <div class="modal-header">
                    <button type="button" class="close"  data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <div class="clearfix mb1"></div>
                    <h3 class="modal-title text-center" id="myModalLabel">
<?php if ($configLogoValue):


    $urlInterface = $objectManager->create('Magento\Store\Model\StoreManagerInterface');
    $media_url = $urlInterface->getStore()->getBaseUrl(\Magento\Framework\UrlInterface::URL_TYPE_MEDIA);
 ?>
                        <img src="<?php echo $media_url.'logo/'.$configLogoValue?>"  class="" height="90" width="90"/>
<?php else: ?>
  <i class="my-icon sub-logo"></i>
<?php endif; ?>
                        <span class="block" role="heading" aria-level="2"><?php /* @escapeNotVerified */ echo __('Registered Customers') ?></span>
                    </h3>
                  </div>
                  <div class="modal-body">
                   <div class="row">
                        <div class="col-md-8 col-md-offset-2">
                          <form class="form form-login"
              action="<?php /* @escapeNotVerified */ echo $block->getPostActionUrl() ?>"
              method="post"
              id="login-form"
              data-mage-init='{"validation":{}}'>
                              <?php echo $block->getBlockHtml('formkey'); ?>
                                <div class="form-group">
                                    <input  name="login[username]" value="<?php echo $block->escapeHtml($block->getUsername()) ?>" <?php if ($block->isAutocompleteDisabled()) :?> autocomplete="off"<?php endif; ?> id="email" type="email" class="form-control"  title="<?php /* @escapeNotVerified */ echo __('Email') ?>" data-validate="{required:true, 'validate-email':true}" class="form-control" placeholder="<?php /* @escapeNotVerified */ echo __('Email') ?>" >
                                </div>
                                <div class="form-group">
                                    <input name="login[password]" type="password" <?php if ($block->isAutocompleteDisabled()) :?> autocomplete="off"<?php endif; ?> class="form-control"  id="pass" title="<?php /* @escapeNotVerified */ echo __('Password') ?>" data-validate="{required:true, 'validate-password':true}" class="form-control" placeholder="<?php /* @escapeNotVerified */ echo __('Password') ?>" >
                                </div>
                               <?php echo $block->getChildHtml('form_additional_info'); ?>
                                <div class=" clearfix">
                                    <button class="btn btn-primary right flip"  type="submit" name="send" id="send2">
                                        <?php /* @escapeNotVerified */ echo __('Login') ?>
                                    </button>
                                    <a href="<?php /* @escapeNotVerified */ echo $block->getForgotPasswordUrl() ?>" class="btn btn-link left flip"><?php /* @escapeNotVerified */ echo __('Forgot Your Password?') ?></a>
                                </div>
                            </form>
                            
                  
                                <?php
                $helper = $this->helper('Plumrocket\SocialLoginFree\Helper\Data');
                if($helper->modulePositionEnabled('login') && $helper->hasButtons()) : ?>
                      <hr>
                    
                    <?php echo $this->getChildHtml('pslogin_buttons_lpop'); ?>
                <?php endif; ?>
                        </div>
                    
                    </div>
                    <div class="clearfix mb2"></div>
                  </div>
                  <div class="modal-footer">
<!--                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>-->
<!--                     <button type="button" class="btn btn-primary">Save changes</button>-->
                        <div class="text-center">
                            <h4 class="inline-block">
                                <span><?php echo __("Don't Have an Account?") ?></span>
                            </h4>
                            <a href="<?php echo $this->getBaseUrl().'customer/account/create'; ?>"><?php echo __('sign up now for free') ?></a>                            
                        </div>
                 
                  </div>
                </div>
              </div>
            </div>

            <div class="modal fade" id="v-modal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" id="myViewClose" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                        </div>
                        <div class="modal-body">
                            <div class="row">
                                <div class="col-md-12 view-body">


                                    <div class="text-center q-load" ></div>

                                </div>

                            </div>
                        </div>

                    </div>
                </div>
            </div>